org.apache.maven.artifact.repository.layout

## Interface ArtifactRepositoryLayout

All Known Implementing Classes:
  DefaultRepositoryLayout, LegacyRepositoryLayout

    public interface ArtifactRepositoryLayout

Author:
  jdcasey

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`java.lang.String` `pathOf(Artifact artifact)`
`java.lang.String` `pathOfLocalRepositoryMetadata(ArtifactMetadata metadata, ArtifactRepository repository)`
`java.lang.String` `pathOfRemoteRepositoryMetadata(ArtifactMetadata metadata)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### pathOf

    java.lang.String pathOf(Artifact artifact)

#### pathOfLocalRepositoryMetadata

    java.lang.String pathOfLocalRepositoryMetadata(ArtifactMetadata metadata,
                                                 ArtifactRepository repository)

#### pathOfRemoteRepositoryMetadata

    java.lang.String pathOfRemoteRepositoryMetadata(ArtifactMetadata metadata)